<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.springframework.org/schema/webflow
      http://www.springframework.org/schema/webflow/spring-webflow-2.0.xsd">

  <end-state id="view" view="blog.EntryIndex">
    <on-entry>
      <set name="requestScope.blogCode" value="requestParameters.blogCode"/>
      <set name="requestScope.user" value="externalContext.requestMap._user"/>
      <evaluate expression="blogTable.findByCodeForRead(blogCode, user)" result="blog"/>
    </on-entry>
  </end-state>

</flow>
